FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Kernel

 
 
LinkBack Thread Tools
 
Old 06-15-2011, 09:16 AM
Tom Jägermeister
 
Default Bug#630566: linux-source-2.6.39: 2.6.39-2 : bluetooth broken

Package: linux-source-2.6.39
Version: 2.6.39-2
Severity: important

I have tried 3 different dongles and 2 versions of bluez. This worked in 2.6.38.

lsusb:
Bus 005 Device 003: ID 0db0:1967 Micro Star International Bluetooth Dongle

dmesg:
Bluetooth: Generic Bluetooth USB driver ver 0.6
usbcore: registered new interface driver btusb
....
usb 5-2: new full speed USB device number 3 using uhci_hcd
usb 5-2: New USB device found, idVendor=0db0, idProduct=1967
usb 5-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0

hciconfig -a:
hci0: Type: BR/EDR Bus: USB
BD Address: 00:0C:76:AC:2D:F1 ACL MTU: 192:8 SCO MTU: 64:8
DOWN
RX bytes:718 acl:0 sco:0 events:25 errors:0
TX bytes:108 acl:0 sco:0 commands:24 errors:0
Features: 0xff 0xff 0x0f 0x00 0x00 0x00 0x00 0x00
Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
Link policy:
Link mode: SLAVE ACCEPT

hciconfig hci0 up:
Can't init device hci0: Invalid argument (22)


-- System Information:
Debian Release: wheezy/sid
APT prefers unstable
APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-2b (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-source-2.6.39 depends on:
ii binutils 2.21.51.20110523-1 The GNU assembler, linker and bina
ii bzip2 1.0.5-6 high-quality block-sorting file co

Versions of packages linux-source-2.6.39 recommends:
ii gcc 4:4.6.0-5 The GNU C compiler
ii libc6-dev [libc-dev] 2.13-4 Embedded GNU C Library: Developmen
ii make 3.81-8.1 An utility for Directing compilati

Versions of packages linux-source-2.6.39 suggests:
ii kernel-package 12.036+nmu1 A utility for building Linux kerne
ii libncurses5-dev [ncurses-dev 5.9-1 developer's libraries for ncurses
ii libqt3-mt-dev 3:3.3.8b-8 Qt development files (Threaded)

-- no debconf information



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110615091637.3944.90345.reportbug@tequila.fritz. box">http://lists.debian.org/20110615091637.3944.90345.reportbug@tequila.fritz. box
 
Old 06-15-2011, 11:26 AM
maximilian attems
 
Default Bug#630566: linux-source-2.6.39: 2.6.39-2 : bluetooth broken

On Wed, Jun 15, 2011 at 11:16:37AM +0200, Tom Jägermeister wrote:
> Package: linux-source-2.6.39
> Version: 2.6.39-2
> Severity: important
>
> I have tried 3 different dongles and 2 versions of bluez. This worked in 2.6.38.
>
> lsusb:
> Bus 005 Device 003: ID 0db0:1967 Micro Star International Bluetooth Dongle
>
> dmesg:
> Bluetooth: Generic Bluetooth USB driver ver 0.6
> usbcore: registered new interface driver btusb
> ....
> usb 5-2: new full speed USB device number 3 using uhci_hcd
> usb 5-2: New USB device found, idVendor=0db0, idProduct=1967
> usb 5-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0
>
> hciconfig -a:
> hci0: Type: BR/EDR Bus: USB
> BD Address: 00:0C:76:AC:2D:F1 ACL MTU: 192:8 SCO MTU: 64:8
> DOWN
> RX bytes:718 acl:0 sco:0 events:25 errors:0
> TX bytes:108 acl:0 sco:0 commands:24 errors:0
> Features: 0xff 0xff 0x0f 0x00 0x00 0x00 0x00 0x00
> Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
> Link policy:
> Link mode: SLAVE ACCEPT
>
> hciconfig hci0 up:
> Can't init device hci0: Invalid argument (22)
>

did you try 3.0-rc2 in experimental?

thanks

--
maks



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110615112650.GB24089@vostochny.stro.at">http://lists.debian.org/20110615112650.GB24089@vostochny.stro.at
 
Old 06-15-2011, 11:54 PM
Tom Jägermeister
 
Default Bug#630566: linux-source-2.6.39: 2.6.39-2 : bluetooth broken

Am Mittwoch, 15. Juni 2011, 13:26:50 schrieben Sie:
>
> did you try 3.0-rc2 in experimental?
>
> thanks

I tried it now and the problem is the same (same error).

btw. I had trouble to compile the 3.0 kernel. I needed to remove the modules
apm and lguest. It also uses much more ram than 2.6.39. Probably it needs an
updated kernel-package and some more work but that has nothing to do with the
bluetooth problem of course.



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201106160154.50646.almatic@coole-files.de">http://lists.debian.org/201106160154.50646.almatic@coole-files.de
 
Old 06-16-2011, 10:01 AM
maximilian attems
 
Default Bug#630566: linux-source-2.6.39: 2.6.39-2 : bluetooth broken

jOn Thu, 16 Jun 2011, Tom Jägermeister wrote:

> Am Mittwoch, 15. Juni 2011, 13:26:50 schrieben Sie:
> >
> > did you try 3.0-rc2 in experimental?
> >
> > thanks
>
> I tried it now and the problem is the same (same error).

care to strace it? did you try newer bluez from unstable?

> btw. I had trouble to compile the 3.0 kernel. I needed to remove the modules
> apm and lguest. It also uses much more ram than 2.6.39. Probably it needs an
> updated kernel-package and some more work but that has nothing to do with the
> bluetooth problem of course.

I do not understand a word of what your are talking about!?
I pointed you to precompiled linux images. what is that gibberish about
"kernel-package"!?

--
maks



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110616100101.GG16945@stro.at">http://lists.debian.org/20110616100101.GG16945@stro.at
 
Old 07-30-2011, 09:48 AM
Moritz Mühlenhoff
 
Default Bug#630566: linux-source-2.6.39: 2.6.39-2 : bluetooth broken

On Thu, Jun 16, 2011 at 01:54:50AM +0200, Tom Jägermeister wrote:
> Am Mittwoch, 15. Juni 2011, 13:26:50 schrieben Sie:
> >
> > did you try 3.0-rc2 in experimental?
> >
> > thanks
>
> I tried it now and the problem is the same (same error).
>
> btw. I had trouble to compile the 3.0 kernel. I needed to remove the modules
> apm and lguest. It also uses much more ram than 2.6.39. Probably it needs an
> updated kernel-package and some more work but that has nothing to do with the
> bluetooth problem of course.

Please try the kernel image from unstable (e.g. linux-image-3.0.0-1-amd64)
and bluez from unstable.

Cheers,
Moritz



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110730094841.GA5178@pisco.westfalen.local">http://lists.debian.org/20110730094841.GA5178@pisco.westfalen.local
 

Thread Tools




All times are GMT. The time now is 04:32 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org